> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bison.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kalshi Markets



## OpenAPI

````yaml GET /kalshi/markets
openapi: 3.0.0
info:
  version: 1.0.0
  title: Bison API
servers: []
security: []
paths:
  /kalshi/markets:
    get:
      parameters:
        - schema:
            type: string
            description: Filter by series ticker (e.g., KXPREZ)
            example: KXPREZ
          required: false
          description: Filter by series ticker (e.g., KXPREZ)
          name: series_ticker
          in: query
        - schema:
            type: string
            description: Filter by event ticker
            example: KXPREZ-2025
          required: false
          description: Filter by event ticker
          name: event_ticker
          in: query
        - schema:
            type: string
            enum:
              - active
              - closed
              - settled
            description: Filter by market status
            example: active
          required: false
          description: Filter by market status
          name: status
          in: query
        - schema:
            type: string
            description: Number of markets to return (max 200)
            example: '20'
          required: false
          description: Number of markets to return (max 200)
          name: limit
          in: query
      responses:
        '200':
          description: Successfully retrieved markets
          content:
            application/json:
              schema:
                type: object
                properties:
                  markets:
                    type: array
                    items:
                      type: object
                      properties:
                        ticker:
                          type: string
                        series_ticker:
                          type: string
                        event_ticker:
                          type: string
                        title:
                          type: string
                        subtitle:
                          type: string
                        category:
                          type: string
                        status:
                          type: string
                          enum:
                            - initialized
                            - active
                            - closed
                            - settled
                            - determined
                        open_time:
                          type: string
                        close_time:
                          type: string
                        expiration_time:
                          type: string
                        yes_bid:
                          type: number
                        yes_ask:
                          type: number
                        no_bid:
                          type: number
                        no_ask:
                          type: number
                        last_price:
                          type: number
                        volume:
                          type: number
                        volume_24h:
                          type: number
                        liquidity:
                          type: number
                        open_interest:
                          type: number
                      required:
                        - ticker
                  cursor:
                    type: string
                required:
                  - markets
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````